Skip to content
Get started

Get call by ID

GET/call/{id}

Retrieve the full details of a call order by its unique ID. The response includes the call status, call attempts, transcript, recording URL, timestamps, and metadata. Use this endpoint to poll for call completion or inspect results after a call has finished.

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
call: object { id, assistant, call_attempts, 16 more }

This represent a call "order" that was requested by the user. A call order can be resolved over multiple call attempts spanning up to a few days.

id: string

The ID of the call.

assistant: object { id, background_sound, calendly, 20 more }
id: string
background_sound: "audio/office.ogg"

The background sound to play during the call. Useful to give the impression that your AI agent is in an office.

calendly: object { connection_id, event_type_id }
connection_id: string

The connection ID representing the link between your Calendly account and Revox.

event_type_id: string

The event type ID representing the event type to schedule. (eg: https://api.calendly.com/event_types/b2330295-2a91-4a1d-bb73-99e7707663d5)

call_retry_config: object { calling_windows, max_retry_attempts, timezone }

Configuration for call retry behavior including time windows, delays, and max iterations. If not provided, defaults will be used.

calling_windows: array of object { calling_window_end_time, calling_window_start_time, retry_delay_seconds }
calling_window_end_time: string

End time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '17:00', '6pm'. Default: '18:00'.

calling_window_start_time: string

Start time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '09:00', '10am'. Default: '10:00'.

retry_delay_seconds: number

Delay between retry attempts in seconds. Default: 7200 (2 hours).

exclusiveMinimum0
maximum9007199254740991
max_retry_attempts: number

Maximum number of call retry attempts. Default: 3.

exclusiveMinimum0
maximum9007199254740991
timezone: optional string

Optional IANA timezone identifier to override the automatic timezone detection from phone number. If not provided, timezone is determined from the recipient's phone number country code. Examples: 'America/New_York', 'Europe/Paris'.

created_at: unknown
end_of_call_sentence: string
first_sentence: string
first_sentence_delay_ms: number

Delay in milliseconds before speaking the first sentence. Default: 400.

minimum-9007199254740991
maximum9007199254740991
first_sentence_mode: "generated" or "static" or "none"
One of the following:
"generated"
"static"
"none"
ivr_navigation_enabled: boolean

Enable IVR navigation tools. When enabled, the assistant can send DTMF tones and skip turns to navigate phone menus.

llm_model: object { name, type } or object { openrouter_model_id, openrouter_provider, type }
One of the following:
UnionMember0 = object { name, type }
name: "gpt-4.1" or "ministral-3-8b-instruct"
One of the following:
"gpt-4.1"
"ministral-3-8b-instruct"
type: "dedicated-instance"
UnionMember1 = object { openrouter_model_id, openrouter_provider, type }
openrouter_model_id: string

The model ID to use from OpenRouter. eg: openai/gpt-4.1

openrouter_provider: string

The provider to use from OpenRouter. eg: nebius, openai, azure, etc.

type: "openrouter"

Use a model from OpenRouter.

max_call_duration_secs: number

The maximum duration of the call in seconds. This is the maximum time the call will be allowed to run.

name: string
organization_id: string
prompt: string
structured_output_config: array of object { name, required, type, 2 more }

The structured output config to use for the call. This is used to extract the data from the call (like email, name, company name, etc.).

name: string
minLength1
required: boolean
type: "string" or "number" or "boolean" or 3 more
One of the following:
"string"
"number"
"boolean"
"enum"
"date"
"datetime"
description: optional string
enum_options: optional array of string
transfer_phone_number: string

Phone number to transfer calls to when users request to speak to a human agent.

updated_at: unknown
voice: object { id, provider, speed }
id: string

The ID of the voice.

minLength1
provider: "cartesia" or "elevenlabs"

The provider of the voice.

One of the following:
"cartesia"
"elevenlabs"
speed: optional number

The speed of the voice. Range depends on provider: Cartesia 0.6–1.5, ElevenLabs 0.7–1.2. Default is 1.0.

minimum0.6
maximum1.5
voicemail_message: string

If set, when voicemail is detected the agent will speak this message then hang up; if null, hang up immediately.

webhook_url: string

The webhook URL to call when the call is completed.

faq_items: optional array of object { answer, question, id, 2 more }
answer: string
question: string
id: optional string
needs_human_answer: optional boolean
source: optional "human" or "ai"
One of the following:
"human"
"ai"
pending_faq_count: optional number
call_attempts: array of object { id, answered_at, dial_error, 10 more }

All call attempts for this call order, ordered by most recent first.

id: string

The ID of the call attempt.

answered_at: unknown

The time the call was answered.

dial_error: "number_non_attributed" or "too_many_calls" or "busy" or 5 more

The SIP error that occurred.

One of the following:
"number_non_attributed"
"too_many_calls"
"busy"
"temporarily_unavailable"
"no_answer"
"no_international_permission"
"precondition_failed"
"non_classified_error"
ended_at: unknown

The time the call ended.

phone_number: string

The phone number that was called. Formatted in E.164 format. Example: +1234567890

recording_url: string

The URL of the audio recording of the call.

result: "IVR" or "voicemail" or "human" or 2 more
One of the following:
"IVR"
"voicemail"
"human"
"unknown"
"ios-screening-filter"
started_at: unknown

The time the call started.

status: "queued" or "ringing" or "ongoing" or 2 more

The status of the call attempt.

One of the following:
"queued"
"ringing"
"ongoing"
"completed"
"error"
end_reason: optional string

Reason for ending the call when ended_by is 'agent'. E.g. 'tool_end_call', 'voicemail', 'transfer', 'ivr_no_navigate'.

ended_by: optional "agent" or "user" or "system"

Who ended the call: 'agent' (AI agent), 'user' (caller/callee hung up), or 'system' (e.g. max duration limit).

One of the following:
"agent"
"user"
"system"
structured_output: optional map[unknown]

The data extracted from the call, using the structured output config from the parent call object.

transcript: optional array of object { content, role, tool_arguments, 2 more }

The transcript of the call.

content: string
role: "user" or "assistant" or "tool"
One of the following:
"user"
"assistant"
"tool"
tool_arguments: optional map[unknown] or string
One of the following:
UnionMember0 = map[unknown]
UnionMember1 = string
tool_is_error: optional boolean
tool_name: optional string
call_retry_config: object { calling_windows, max_retry_attempts, timezone }

Configuration for call retry behavior including time windows, delays, and max iterations. If not provided, defaults will be used.

calling_windows: array of object { calling_window_end_time, calling_window_start_time, retry_delay_seconds }
calling_window_end_time: string

End time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '17:00', '6pm'. Default: '18:00'.

calling_window_start_time: string

Start time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '09:00', '10am'. Default: '10:00'.

retry_delay_seconds: number

Delay between retry attempts in seconds. Default: 7200 (2 hours).

exclusiveMinimum0
maximum9007199254740991
max_retry_attempts: number

Maximum number of call retry attempts. Default: 3.

exclusiveMinimum0
maximum9007199254740991
timezone: optional string

Optional IANA timezone identifier to override the automatic timezone detection from phone number. If not provided, timezone is determined from the recipient's phone number country code. Examples: 'America/New_York', 'Europe/Paris'.

calls_count: number

The number of call attempts made.

campaign: object { id, name }
id: string
name: string
created_at: unknown

The time the call order was created.

direction: "inbound" or "outbound"

Whether the call is inbound or outbound.

One of the following:
"inbound"
"outbound"
first_sentence_delay_ms: number

Delay in milliseconds before speaking the first sentence. Default: 400.

minimum-9007199254740991
maximum9007199254740991
from_phone_number: string

The phone number that made the call. Formatted in E.164 format. Example: +1234567890

is_cancelled: boolean

DEPRECATED: Whether the call has been cancelled. This is derived from status. Use status instead.

is_completed: boolean

DEPRECATED: Whether the call has completed. This is derived from status. Use status instead.

last_call_attempt: object { id, answered_at, dial_error, 10 more }

This represent a single call attempt. A call attempt is a single call made to the phone number.

id: string

The ID of the call attempt.

answered_at: unknown

The time the call was answered.

dial_error: "number_non_attributed" or "too_many_calls" or "busy" or 5 more

The SIP error that occurred.

One of the following:
"number_non_attributed"
"too_many_calls"
"busy"
"temporarily_unavailable"
"no_answer"
"no_international_permission"
"precondition_failed"
"non_classified_error"
ended_at: unknown

The time the call ended.

phone_number: string

The phone number that was called. Formatted in E.164 format. Example: +1234567890

recording_url: string

The URL of the audio recording of the call.

result: "IVR" or "voicemail" or "human" or 2 more
One of the following:
"IVR"
"voicemail"
"human"
"unknown"
"ios-screening-filter"
started_at: unknown

The time the call started.

status: "queued" or "ringing" or "ongoing" or 2 more

The status of the call attempt.

One of the following:
"queued"
"ringing"
"ongoing"
"completed"
"error"
end_reason: optional string

Reason for ending the call when ended_by is 'agent'. E.g. 'tool_end_call', 'voicemail', 'transfer', 'ivr_no_navigate'.

ended_by: optional "agent" or "user" or "system"

Who ended the call: 'agent' (AI agent), 'user' (caller/callee hung up), or 'system' (e.g. max duration limit).

One of the following:
"agent"
"user"
"system"
structured_output: optional map[unknown]

The data extracted from the call, using the structured output config from the parent call object.

transcript: optional array of object { content, role, tool_arguments, 2 more }

The transcript of the call.

content: string
role: "user" or "assistant" or "tool"
One of the following:
"user"
"assistant"
"tool"
tool_arguments: optional map[unknown] or string
One of the following:
UnionMember0 = map[unknown]
UnionMember1 = string
tool_is_error: optional boolean
tool_name: optional string
llm_model: object { name, type } or object { openrouter_model_id, openrouter_provider, type }
One of the following:
UnionMember0 = object { name, type }
name: "gpt-4.1" or "ministral-3-8b-instruct"
One of the following:
"gpt-4.1"
"ministral-3-8b-instruct"
type: "dedicated-instance"
UnionMember1 = object { openrouter_model_id, openrouter_provider, type }
openrouter_model_id: string

The model ID to use from OpenRouter. eg: openai/gpt-4.1

openrouter_provider: string

The provider to use from OpenRouter. eg: nebius, openai, azure, etc.

type: "openrouter"

Use a model from OpenRouter.

metadata: map[string]

Metadata stored with the call.

organization_id: string

The ID of the organization that owns the call.

scheduled_at: unknown

The time the call order is scheduled to start.

status: "initializing" or "queued_for_calling" or "calling" or 4 more

The status of the call.

One of the following:
"initializing"
"queued_for_calling"
"calling"
"scheduled"
"completed"
"cancelled"
"errored"
to_phone_number: string

The phone number that received the call. Formatted in E.164 format. Example: +1234567890

Get call by ID

curl https://www.getrevox.com/api/call/$ID \
    -H "Authorization: Bearer $REVOX_API_KEY"
{
  "call": {
    "id": "id",
    "assistant": {
      "id": "id",
      "background_sound": "audio/office.ogg",
      "calendly": {
        "connection_id": "connection_id",
        "event_type_id": "event_type_id"
      },
      "call_retry_config": {
        "calling_windows": [
          {
            "calling_window_end_time": "calling_window_end_time",
            "calling_window_start_time": "calling_window_start_time",
            "retry_delay_seconds": 1
          }
        ],
        "max_retry_attempts": 1,
        "timezone": "timezone"
      },
      "created_at": {},
      "end_of_call_sentence": "end_of_call_sentence",
      "first_sentence": "first_sentence",
      "first_sentence_delay_ms": -9007199254740991,
      "first_sentence_mode": "generated",
      "ivr_navigation_enabled": true,
      "llm_model": {
        "name": "gpt-4.1",
        "type": "dedicated-instance"
      },
      "max_call_duration_secs": 0,
      "name": "name",
      "organization_id": "organization_id",
      "prompt": "prompt",
      "structured_output_config": [
        {
          "name": "x",
          "required": true,
          "type": "string",
          "description": "description",
          "enum_options": [
            "string"
          ]
        }
      ],
      "transfer_phone_number": "transfer_phone_number",
      "updated_at": {},
      "voice": {
        "id": "x",
        "provider": "cartesia",
        "speed": 0.6
      },
      "voicemail_message": "voicemail_message",
      "webhook_url": "webhook_url",
      "faq_items": [
        {
          "answer": "answer",
          "question": "question",
          "id": "id",
          "needs_human_answer": true,
          "source": "human"
        }
      ],
      "pending_faq_count": 0
    },
    "call_attempts": [
      {
        "id": "id",
        "answered_at": {},
        "dial_error": "number_non_attributed",
        "ended_at": {},
        "phone_number": "phone_number",
        "recording_url": "recording_url",
        "result": "IVR",
        "started_at": {},
        "status": "queued",
        "end_reason": "end_reason",
        "ended_by": "agent",
        "structured_output": {
          "foo": "bar"
        },
        "transcript": [
          {
            "content": "content",
            "role": "user",
            "tool_arguments": {
              "foo": "bar"
            },
            "tool_is_error": true,
            "tool_name": "tool_name"
          }
        ]
      }
    ],
    "call_retry_config": {
      "calling_windows": [
        {
          "calling_window_end_time": "calling_window_end_time",
          "calling_window_start_time": "calling_window_start_time",
          "retry_delay_seconds": 1
        }
      ],
      "max_retry_attempts": 1,
      "timezone": "timezone"
    },
    "calls_count": 0,
    "campaign": {
      "id": "id",
      "name": "name"
    },
    "created_at": {},
    "direction": "inbound",
    "first_sentence_delay_ms": -9007199254740991,
    "from_phone_number": "from_phone_number",
    "is_cancelled": true,
    "is_completed": true,
    "last_call_attempt": {
      "id": "id",
      "answered_at": {},
      "dial_error": "number_non_attributed",
      "ended_at": {},
      "phone_number": "phone_number",
      "recording_url": "recording_url",
      "result": "IVR",
      "started_at": {},
      "status": "queued",
      "end_reason": "end_reason",
      "ended_by": "agent",
      "structured_output": {
        "foo": "bar"
      },
      "transcript": [
        {
          "content": "content",
          "role": "user",
          "tool_arguments": {
            "foo": "bar"
          },
          "tool_is_error": true,
          "tool_name": "tool_name"
        }
      ]
    },
    "llm_model": {
      "name": "gpt-4.1",
      "type": "dedicated-instance"
    },
    "metadata": {
      "foo": "string"
    },
    "organization_id": "organization_id",
    "scheduled_at": {},
    "status": "initializing",
    "to_phone_number": "to_phone_number"
  }
}
Returns Examples
{
  "call": {
    "id": "id",
    "assistant": {
      "id": "id",
      "background_sound": "audio/office.ogg",
      "calendly": {
        "connection_id": "connection_id",
        "event_type_id": "event_type_id"
      },
      "call_retry_config": {
        "calling_windows": [
          {
            "calling_window_end_time": "calling_window_end_time",
            "calling_window_start_time": "calling_window_start_time",
            "retry_delay_seconds": 1
          }
        ],
        "max_retry_attempts": 1,
        "timezone": "timezone"
      },
      "created_at": {},
      "end_of_call_sentence": "end_of_call_sentence",
      "first_sentence": "first_sentence",
      "first_sentence_delay_ms": -9007199254740991,
      "first_sentence_mode": "generated",
      "ivr_navigation_enabled": true,
      "llm_model": {
        "name": "gpt-4.1",
        "type": "dedicated-instance"
      },
      "max_call_duration_secs": 0,
      "name": "name",
      "organization_id": "organization_id",
      "prompt": "prompt",
      "structured_output_config": [
        {
          "name": "x",
          "required": true,
          "type": "string",
          "description": "description",
          "enum_options": [
            "string"
          ]
        }
      ],
      "transfer_phone_number": "transfer_phone_number",
      "updated_at": {},
      "voice": {
        "id": "x",
        "provider": "cartesia",
        "speed": 0.6
      },
      "voicemail_message": "voicemail_message",
      "webhook_url": "webhook_url",
      "faq_items": [
        {
          "answer": "answer",
          "question": "question",
          "id": "id",
          "needs_human_answer": true,
          "source": "human"
        }
      ],
      "pending_faq_count": 0
    },
    "call_attempts": [
      {
        "id": "id",
        "answered_at": {},
        "dial_error": "number_non_attributed",
        "ended_at": {},
        "phone_number": "phone_number",
        "recording_url": "recording_url",
        "result": "IVR",
        "started_at": {},
        "status": "queued",
        "end_reason": "end_reason",
        "ended_by": "agent",
        "structured_output": {
          "foo": "bar"
        },
        "transcript": [
          {
            "content": "content",
            "role": "user",
            "tool_arguments": {
              "foo": "bar"
            },
            "tool_is_error": true,
            "tool_name": "tool_name"
          }
        ]
      }
    ],
    "call_retry_config": {
      "calling_windows": [
        {
          "calling_window_end_time": "calling_window_end_time",
          "calling_window_start_time": "calling_window_start_time",
          "retry_delay_seconds": 1
        }
      ],
      "max_retry_attempts": 1,
      "timezone": "timezone"
    },
    "calls_count": 0,
    "campaign": {
      "id": "id",
      "name": "name"
    },
    "created_at": {},
    "direction": "inbound",
    "first_sentence_delay_ms": -9007199254740991,
    "from_phone_number": "from_phone_number",
    "is_cancelled": true,
    "is_completed": true,
    "last_call_attempt": {
      "id": "id",
      "answered_at": {},
      "dial_error": "number_non_attributed",
      "ended_at": {},
      "phone_number": "phone_number",
      "recording_url": "recording_url",
      "result": "IVR",
      "started_at": {},
      "status": "queued",
      "end_reason": "end_reason",
      "ended_by": "agent",
      "structured_output": {
        "foo": "bar"
      },
      "transcript": [
        {
          "content": "content",
          "role": "user",
          "tool_arguments": {
            "foo": "bar"
          },
          "tool_is_error": true,
          "tool_name": "tool_name"
        }
      ]
    },
    "llm_model": {
      "name": "gpt-4.1",
      "type": "dedicated-instance"
    },
    "metadata": {
      "foo": "string"
    },
    "organization_id": "organization_id",
    "scheduled_at": {},
    "status": "initializing",
    "to_phone_number": "to_phone_number"
  }
}